
RSBag - Bug #1088
bag-record sometimes produces broken files
07/19/2012 01:13 PM - J. Wienke

Status: Rejected Start date: 07/19/2012
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

I just tried again to record flexirob data and this time another file recorded using a trunk version of bag-record is severely broken. The
file will be attached to the bug.

flexirob@graphit:~/Desktop/rsbag$ ./bag-record --version
WARNING:
   Failed to load Spread library: Unable to load any of the alternatives:
   ("libspread-without-signal-blocking.so" "libspread.so" "libspread.so.2" 
    "libspread.so.2.0" "libspread.so.1").
   Did you set LD_LIBRARY_PATH?
   Spread transport will now be disabled.
./bag-record version  0.7.0
SBCL version          1.0.57
RSB version           0.7.0
RSBAG version         0.7.0
RSBAG-TIDELOG version 0.7.0

The file date of bag-wth-rst is 2012-07-16 14:25, so I suspect I downloaded it at that time. Running on 32 bit, precise.

bag-record processes are terminated via a single call from kill (without -9).  For all bag-record processes I can see this message when
closing:

attempt to THROW to a tag that does not exist: ITERATE:TERMINATE.

This is reported for all bag-record processes but only some files are really broken.

Related issues:
Related to RSBag - Feature # 1090: bag-* tools should be more robust against ... Resolved 07/19/2012

History
#1 - 07/19/2012 01:15 PM - J. Wienke
- File flexirob.tide added

flexirob@graphit:~/Desktop/johannes/1342695521$ ~/Desktop/rsbag/bag-info flexirob.tide 
WARNING:
   Failed to load Spread library: Unable to load any of the alternatives:
   ("libspread-without-signal-blocking.so" "libspread.so" "libspread.so.2" 
    "libspread.so.2.0" "libspread.so.1").
   Did you set LD_LIBRARY_PATH?
   Spread transport will now be disabled.
Failed to open bag in source #<FD-STREAM for "file /home/flexirob/Desktop/johannes/1342695521/flexirob.tide" {100C41A1}>.
Caused by:
> Invalid file structure encountered in #<FD-STREAM for "file /home/flexirob/Desktop/johannes/1342695521/flexirob.tide" {100C41A1}>:
> Failed to scan for block BLOCK at position 20,502: Could only read 1,175 bytes when trying to read a sequence of 1,504 bytes at stream
position 20,502.

#2 - 07/19/2012 01:15 PM - J. Wienke

I still have that version of bag available for testing.

#3 - 07/19/2012 02:06 PM - J. Wienke
- Status changed from New to Rejected

This is basically a strange user error as my script produces several signals in rapid succession. However, shielding against such a case would be nice.

Files
flexirob.tide 20 KB 07/19/2012 J. Wienke
